#include <stdio.h>
#include <tpro.h>
#include <ddtpro.h>


/*==========================================================================
  TPRO_setOscillator
==========================================================================*/

unsigned char TPRO_setOscillator    (TPRO_BoardObj *hnd, unsigned char *freq)
{
  unsigned long length;
  int err;


  // make sure we have valid handle
  if (hnd == NULL) {
    return (TPRO_HANDLE_ERR);
  }


  if ( (hnd->options == 0x7000) || (hnd->options == 0x7100) ) {

    /**
    ***  verify valid frequency value
    **/
    
    if ( *freq > OSC_OUT_10MHZ ) return (TPRO_FREQ_ERR);
    
    
    /**
    ***  create I/O control
    **/

    err = ioctl(hnd->file_descriptor, IOCTL_TPRO_SET_OSCILLATOR, &freq);
    err = (err < 0) ? TPRO_COMM_ERR : TPRO_SUCCESS;

    return (err);
  }

  return (TPRO_INVALID_BOARD_TYPE_ERR);
}
